import { DeleteResponse } from '../requests';

export const refreshList = (
  state: any,
  purged?: DeleteResponse['data']['attributes']['purged'] | null,
  id?: number | null,
  attributes?: any
) => {
  if (!purged && id && attributes) {
    Object.assign(state[
      state.findIndex((model: any) => model.id === id)
    ], attributes);

    return;
  }

  if (purged && !id && !attributes) {
    purged.forEach(({ id }) => {
      state.splice(state.findIndex((model: any) => model.id === Number(id)), 1);
    });

    return;
  }

  state.push(attributes);
};
