import { ReactElement, StrictMode } from 'react';

export const StrictModeSwitch = ({ active, children }: {
  active: boolean,
  children: ReactElement,
}) => {
  return active ? (
    <StrictMode>
      {children}
    </StrictMode>
  ) : children;
};
